Subject: RE: A Much Higher Performance Java Implementation for Solaris 2.6

From: "George K. Thiruvathukal" <[email-masked]>
Date: Tue, 21 Jul 1998 20:25:46 -0500

Hi Corky & All:

I the same vein, I think everyone should take a look at TransVirtual's
recent announcement about the OpenVM open source implementation of the Java
Virtual Machine.

The OpenVM work is based on the Kaffe project:
	http://www.kaffe.org

You can get the first version of OpenVM from TransVirtual at
	http://www.transvirtual.com

It would be interesting to compare the latest OpenVM and Sun offerings.

George

----------------------------------------------------------------
 George K. Thiruvathukal
 Loyola University of Chicago
 Department of Mathematical and Computer Sciences
 http://www.math.luc.edu

 Please visit http://www.jhpc.org/george for more information.
----------------------------------------------------------------

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Corky Cartwright
> Sent: Tuesday, July 21, 1998 1:45 PM
> To: [email-masked]
> Subject: A Much Higher Performance Java Implementation for Solaris 2.6
>
>
>
> Solaris 2.6 Users:
>
> Sun has just released a new implementation of Java 1.2 designed
> specifically for Solaris machines (Sparc and x86) under its
> Early Access program at the Java Developers Connection.  It is
> available at the URL
>
>   http://developer.javasoft.com/developer/earlyAccess/jdk1.2/index.html
>
> You have to register with the Java Developers Connection to download
> the system but the registration process is trivial.
>
> The implementation features a completely new generational copying
> garbage collector, low overhead locking protocols, and a much more
> sophisticated JIT compiler (it even does some common subexpression
> elimination).  During the past academic year, I spent my sabbatical at
> Sun Microsystems Laboratories East working with Java Topics research
> group that produced this implementation.  The experimental Java
> implementation developed by this research group was so better than
> existing Sun products that the Solaris Sofware division of Sun
> Microsystems decided to make the research system into a product.
>
> I am interested in hearing how well this implementation performs on
> scientific calculations.  It is still a long way from optimized
> Fortran, but it runs 12 times faster than JDK 1.1.5 on my favorite
> symbolic benchmark (a boolean simplifier).
>
> Check it out.
>
> Corky Cartwright
> Department of Computer Science
> Rice University
>
>
>